<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LLineGroup StructType
 * @subpackage Structs
 */
class LLineGroup extends AbstractStructBase
{
    /**
     * The distributionAlgorithm
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $distributionAlgorithm;
    /**
     * The rnaReversionTimeOut
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $rnaReversionTimeOut;
    /**
     * The huntAlgorithmNoAnswer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $huntAlgorithmNoAnswer;
    /**
     * The huntAlgorithmBusy
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $huntAlgorithmBusy;
    /**
     * The huntAlgorithmNotAvailable
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $huntAlgorithmNotAvailable;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The autoLogOffHunt
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $autoLogOffHunt;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LLineGroup
     * @uses LLineGroup::setDistributionAlgorithm()
     * @uses LLineGroup::setRnaReversionTimeOut()
     * @uses LLineGroup::setHuntAlgorithmNoAnswer()
     * @uses LLineGroup::setHuntAlgorithmBusy()
     * @uses LLineGroup::setHuntAlgorithmNotAvailable()
     * @uses LLineGroup::setName()
     * @uses LLineGroup::setAutoLogOffHunt()
     * @uses LLineGroup::setUuid()
     * @param string $distributionAlgorithm
     * @param string $rnaReversionTimeOut
     * @param string $huntAlgorithmNoAnswer
     * @param string $huntAlgorithmBusy
     * @param string $huntAlgorithmNotAvailable
     * @param string $name
     * @param string $autoLogOffHunt
     * @param string $uuid
     */
    public function __construct($distributionAlgorithm = null, $rnaReversionTimeOut = null, $huntAlgorithmNoAnswer = null, $huntAlgorithmBusy = null, $huntAlgorithmNotAvailable = null, $name = null, $autoLogOffHunt = null, $uuid = null)
    {
        $this
            ->setDistributionAlgorithm($distributionAlgorithm)
            ->setRnaReversionTimeOut($rnaReversionTimeOut)
            ->setHuntAlgorithmNoAnswer($huntAlgorithmNoAnswer)
            ->setHuntAlgorithmBusy($huntAlgorithmBusy)
            ->setHuntAlgorithmNotAvailable($huntAlgorithmNotAvailable)
            ->setName($name)
            ->setAutoLogOffHunt($autoLogOffHunt)
            ->setUuid($uuid);
    }
    /**
     * Get distributionAlgorithm value
     * @return string|null
     */
    public function getDistributionAlgorithm()
    {
        return $this->distributionAlgorithm;
    }
    /**
     * Set distributionAlgorithm value
     * @param string $distributionAlgorithm
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineGroup
     */
    public function setDistributionAlgorithm($distributionAlgorithm = null)
    {
        $this->distributionAlgorithm = $distributionAlgorithm;
        return $this;
    }
    /**
     * Get rnaReversionTimeOut value
     * @return string|null
     */
    public function getRnaReversionTimeOut()
    {
        return $this->rnaReversionTimeOut;
    }
    /**
     * Set rnaReversionTimeOut value
     * @param string $rnaReversionTimeOut
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineGroup
     */
    public function setRnaReversionTimeOut($rnaReversionTimeOut = null)
    {
        $this->rnaReversionTimeOut = $rnaReversionTimeOut;
        return $this;
    }
    /**
     * Get huntAlgorithmNoAnswer value
     * @return string|null
     */
    public function getHuntAlgorithmNoAnswer()
    {
        return $this->huntAlgorithmNoAnswer;
    }
    /**
     * Set huntAlgorithmNoAnswer value
     * @param string $huntAlgorithmNoAnswer
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineGroup
     */
    public function setHuntAlgorithmNoAnswer($huntAlgorithmNoAnswer = null)
    {
        $this->huntAlgorithmNoAnswer = $huntAlgorithmNoAnswer;
        return $this;
    }
    /**
     * Get huntAlgorithmBusy value
     * @return string|null
     */
    public function getHuntAlgorithmBusy()
    {
        return $this->huntAlgorithmBusy;
    }
    /**
     * Set huntAlgorithmBusy value
     * @param string $huntAlgorithmBusy
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineGroup
     */
    public function setHuntAlgorithmBusy($huntAlgorithmBusy = null)
    {
        $this->huntAlgorithmBusy = $huntAlgorithmBusy;
        return $this;
    }
    /**
     * Get huntAlgorithmNotAvailable value
     * @return string|null
     */
    public function getHuntAlgorithmNotAvailable()
    {
        return $this->huntAlgorithmNotAvailable;
    }
    /**
     * Set huntAlgorithmNotAvailable value
     * @param string $huntAlgorithmNotAvailable
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineGroup
     */
    public function setHuntAlgorithmNotAvailable($huntAlgorithmNotAvailable = null)
    {
        $this->huntAlgorithmNotAvailable = $huntAlgorithmNotAvailable;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get autoLogOffHunt value
     * @return string|null
     */
    public function getAutoLogOffHunt()
    {
        return $this->autoLogOffHunt;
    }
    /**
     * Set autoLogOffHunt value
     * @param string $autoLogOffHunt
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineGroup
     */
    public function setAutoLogOffHunt($autoLogOffHunt = null)
    {
        $this->autoLogOffHunt = $autoLogOffHunt;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LLineGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
